Subject: [FIX] تفعيل تحديث ارصدة الموظفين
Author: wahiba maatouk
Committer: wahiba maatouk

Date Level Type Message
2019-03-14 10:00:36 INFO runbot init Init build environment
2019-03-14 10:00:49 INFO runbot test_all Start test all modules
2019-03-14 10:01:46 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_translate tested in 9.55s, 25627 queries
2019-03-14 10:01:51 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_views tested in 5.13s, 4805 queries
2019-03-14 10:01:52 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 55.58s, 48225 queries
2019-03-14 10:02:15 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base_import.tests.test_base_import tested in 10.86s, 232 queries
2019-03-14 10:02:52 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_gateway tested in 5.18s, 4915 queries
2019-03-14 10:03:17 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.calendar.tests.test_calendar tested in 6.58s, 5813 queries
2019-03-14 10:04:27 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.product.tests.test_variants tested in 7.34s, 7979 queries
2019-03-14 10:05:32 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_crm_lead tested in 7.02s, 6722 queries
2019-03-14 10:05:40 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_lead2opportunity tested in 8.22s, 6737 queries
2019-03-14 10:06:07 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays.tests.test_holidays_flow tested in 11.03s, 5544 queries
2019-03-14 10:06:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_access_rights tested in 5.84s, 5161 queries
2019-03-14 10:08:13 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_payroll.tests.test_payslip_flow tested in 6.27s, 1120 queries
2019-03-14 10:08:43 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.survey.tests.test_survey tested in 13.20s, 11745 queries
2019-03-14 10:09:44 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.purchase_request.tests.test_purchase_flow tested in 13.78s, 3398 queries
2019-03-14 10:10:20 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.website_forum.tests.test_forum tested in 6.92s, 4663 queries
2019-03-14 10:11:21 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_attendance_extend.tests.test_authorization_flow tested in 7.91s, 1302 queries
2019-03-14 10:12:00 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation.tests.test_deputation_flow tested in 16.15s, 4024 queries
2019-03-14 10:12:40 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays_extend.tests.test_holidays_flow tested in 18.77s, 6961 queries
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ERROR
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ERROR: test_training_constrains (odoo.addons.hr_training.tests.test_training_constrains.TestTrainingConstrains)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` Test Training constraint.
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write Traceback (most recent call last):
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/hr_training/tests/test_training_constrains.py", line 76, in test_training_constrains
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` 'published': True})
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/hr_training/models/hr_training.py", line 50, in create
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` return super(HrTraining, self).create(vals)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/opt/odoo/odoo11/addons/mail/models/mail_thread.py", line 236, in create
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` thread = super(MailThread, self).create(values)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/popup_reminder/models/popup_reminder.py", line 32, in create
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` record_id = create_original(self, vals)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/opt/odoo/odoo11/odoo/models.py", line 3372, in create
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` record = self.browse(self._create(old_vals))
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/opt/odoo/odoo11/odoo/models.py", line 3525, in _create
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` self._validate_fields(vals)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/opt/odoo/odoo11/odoo/models.py", line 1036, in _validate_fields
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` check(self)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/hr_training/models/hr_training.py", line 80, in _check_order_chek_date
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` raise ValidationError(_(" تاريخ التدريب يجب أن يكون أكبر من تاريخ اليوم"))
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write ` odoo.exceptions.ValidationError: (' تاريخ التدريب يجب أن يكون أكبر من تاريخ اليوم', None)
2019-03-14 10:13:21 ERROR server odoo.addons.hr_training.tests.test_training_constrains:474 write FAILED
2019-03-14 10:13:21 ERROR server odoo.modules.module:518 run_unit_tests Module hr_training: 0 failures, 1 errors
2019-03-14 10:13:35 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_training_flow tested in 14.18s, 4683 queries
2019-03-14 10:13:49 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_training.tests.test_training_request_flow tested in 6.02s, 2766 queries
2019-03-14 10:14:15 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project_maintenance.tests.test_project_maintenance_flow tested in 13.95s, 6309 queries
2019-03-14 10:15:15 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation_delegacy.tests.test_deputation_delegacy tested in 5.25s, 1765 queries
2019-03-14 10:15:28 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_deputation_training.tests.test_hr_deputation_training_constrains tested in 5.19s, 2014 queries
2019-03-14 10:17:57 INFO server odoo.modules.loading:234 load_module_graph 169 modules loaded in 962.95s, 171732 queries
2019-03-14 10:18:26 INFO server odoo.modules.loading:234 load_module_graph 173 modules loaded in 28.54s, 11 queries
2019-03-14 10:18:28 ERROR server odoo.modules.loading:471 load_modules At least one test failed when loading the modules.
2019-03-14 10:18:43 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_reports tested in 14.52s, 1054 queries
2019-03-14 10:18:59 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_account_invoice_rounding tested in 7.62s, 4187 queries
2019-03-14 10:19:31 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_payment tested in 24.93s, 14453 queries
2019-03-14 10:20:34 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_reconciliation tested in 59.94s, 37439 queries
2019-03-14 10:20:49 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.account.tests.test_tax tested in 10.59s, 5491 queries
2019-03-14 10:20:58 INFO server odoo.addons.website.tests.test_crawl:73 test_10_crawl_public public crawled 1 urls in 8.42s 410 queries, 8.419s 410.00q per request,
2019-03-14 10:21:48 INFO server odoo.addons.website.tests.test_crawl:83 test_20_crawl_demo demo crawled 60 urls in 49.92s 24091 queries, 0.832s 401.52q per request
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ERROR
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ERROR: test_30_crawl_admin (odoo.addons.website.tests.test_crawl.Crawler)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write Traceback (most recent call last):
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 377, in _make_request
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` httplib_response = conn.getresponse(buffering=True)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` TypeError: getresponse() got an unexpected keyword argument 'buffering'
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 379, in _make_request
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` httplib_response = conn.getresponse()
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 1197, in getresponse
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` response.begin()
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 297, in begin
2019-03-14 10:21:58 ERROR server odoo.addons.website.models.ir_http:206 _handle_exception
500 Internal Server Error:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f954b4bc268>, 'web.assets_common', 'ar_SY', False, True, None, False, False, (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_website_base_layout_3818
  File "<template>", line 2, in body_call_content_3817
  File "<template>", line 19, in set_3804
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 302, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 168, in to_node
    ["src", self.js().url],
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 277, in js
    return self.save_attachment('js', content)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 257, in save_attachment
    attachment = ira.sudo().create(values)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/dms/models/ir_attachment.py", line 20, in create
    number_ir_attachment = self.env['ir.sequence'].next_by_code('ir.attachment.seq')
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_sequence.py", line 282, in next_by_code
    seq_ids = self.search([('code', '=', sequence_code), ('company_id', 'in', [force_company, False])], order='company_id')
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View.get_view_id at 0x7f9548b79268>, 1, 'website_base.layout', (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 369, in get_template
    document = options.get('load', self.load)(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 85, in load
    template = env['ir.ui.view'].read_template(name)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1103, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-160>", line 2, in get_view_id
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_http.py", line 208, in _dispatch
    result = request.dispatch()
  File "/opt/odoo/odoo11/odoo/http.py", line 829, in dispatch
    r = self._call_function(**self.params)
  File "/opt/odoo/odoo11/odoo/http.py", line 342, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/http.py", line 338, in checked_call
    result.flatten()
  File "/opt/odoo/odoo11/odoo/http.py", line 1269, in flatten
    self.response.append(self.render())
  File "/opt/odoo/odoo11/odoo/http.py", line 1262, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1208, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 113, in render
    return super(View, self).render(values, engine=engine)
  File "/opt/odoo/odoo11/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1217, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/odoo_rtl/models/ir_qweb.py", line 20, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 57, in render
    return super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 272, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 345, in _compiled_fn
    raise e
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_1892_3792
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 348, in _compiled_fn
    element, document = self.get_template(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 373, in get_template
    raise QWebException("load could not load template", name=template)
odoo.addons.base.ir.ir_qweb.qweb.QWebException: None
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f954b4bc268>, 'web.assets_common', 'ar_SY', False, True, None, False, False, (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 343, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_website_base_layout_3818
  File "<template>", line 2, in body_call_content_3817
  File "<template>", line 19, in set_3804
  File "<decorator-gen-39>", line 2, in _get_asset_nodes
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 302, in _get_asset_nodes
    return remains + asset.to_node(css=css, js=js, debug=debug, async_load=async_load)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 168, in to_node
    ["src", self.js().url],
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 277, in js
    return self.save_attachment('js', content)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/assetsbundle.py", line 257, in save_attachment
    attachment = ira.sudo().create(values)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09167-1271-509ffd/addons/dms/models/ir_attachment.py", line 20, in create
    number_ir_attachment = self.env['ir.sequence'].next_by_code('ir.attachment.seq')
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_sequence.py", line 282, in next_by_code
    seq_ids = self.search([('code', '=', sequence_code), ('company_id', 'in', [force_company, False])], order='company_id')
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View.get_view_id at 0x7f9548b79268>, 1, 'website_base.layout', (1,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/qweb.py", line 369, in get_template
    document = options.get('load', self.load)(template, options)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 85, in load
    template = env['ir.ui.view'].read_template(name)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1103, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-160>", line 2, in get_view_id
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.

load could not load template
Template: website_base.layout
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` version, status, reason = self._read_status()
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/http/client.py", line 258, in _read_status
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3.5/socket.py", line 575, in readinto
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self._sock.recv_into(b)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` socket.timeout: timed out
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/adapters.py", line 376, in send
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` timeout=timeout
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 610, in urlopen
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` _stacktrace=sys.exc_info()[2])
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 247, in increment
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise six.reraise(type(error), error, _stacktrace)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/six.py", line 686, in reraise
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise value
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 560, in urlopen
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` body=body, headers=headers)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 381, in _make_request
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 309, in _raise_timeout
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` requests.packages.urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host='127.0.0.1', port=2002): Read timed out. (read timeout=10)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` During handling of the above exception, another exception occurred:
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write `
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` Traceback (most recent call last):
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/addons/website/tests/test_crawl.py", line 89, in test_30_crawl_admin
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` seen = self.crawl('/', msg='admin')
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/addons/website/tests/test_crawl.py", line 41, in crawl
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` r = self.url_open(url)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 281, in url_open
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self.opener.get(url, timeout=timeout)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 492, in get
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` return self.request('GET', url, **kwargs)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 480, in request
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` resp = self.send(prep, **send_kwargs)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/sessions.py", line 588, in send
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` r = adapter.send(request, **kwargs)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` raise ReadTimeout(e, request=request)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write ` requests.exceptions.ReadTimeout: HTTPConnectionPool(host='127.0.0.1', port=2002): Read timed out. (read timeout=10)
2019-03-14 10:21:58 ERROR server odoo.addons.website.tests.test_crawl:474 write FAILED
2019-03-14 10:21:58 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.website.tests.test_crawl tested in 68.79s, 25542 queries
2019-03-14 10:21:58 ERROR server odoo.modules.module:518 run_unit_tests Module website: 0 failures, 1 errors
2019-03-14 10:21:59 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/serving.py", line 209, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/serving.py", line 197, in execute
    application_iter = app(environ, start_response)
  File "/opt/odoo/odoo11/odoo/service/server.py", line 260, in app
    return self.app(e, s)
  File "/opt/odoo/odoo11/odoo/service/wsgi_server.py", line 166, in application
    return application_unproxied(environ, start_response)
  File "/opt/odoo/odoo11/odoo/service/wsgi_server.py", line 154, in application_unproxied
    result = handler(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1318, in __call__
    return self.dispatch(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1292, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.5/dist-packages/werkzeug/wsgi.py", line 600, in __call__
    return self.app(environ, start_response)
  File "/opt/odoo/odoo11/odoo/http.py", line 1490, in dispatch
    result = ir_http._dispatch()
  File "/opt/odoo/odoo11/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/http_routing/models/ir_http.py", line 393, in _dispatch
    result = super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/addons/utm/models/ir_http.py", line 26, in _dispatch
    response = super(IrHttp, cls)._dispatch()
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_http.py", line 212, in _dispatch
    return cls._handle_exception(e)
  File "/opt/odoo/odoo11/addons/website/models/ir_http.py", line 231, in _handle_exception
    html = request.env['ir.ui.view'].render_template('website.http_error', values)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1208, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "<decorator-gen-160>", line 2, in get_view_id
    
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/addons/website/models/ir_ui_view.py", line 87, in get_view_id
    view = self.search(domain, order='website_id', limit=1)
  File "/opt/odoo/odoo11/odoo/models.py", line 1480, in search
    res = self._search(args, offset=offset, limit=limit, order=order, count=count)
  File "/opt/odoo/odoo11/odoo/models.py", line 3791, in _search
    self._cr.execute(query_str, where_clause_params)
  File "/opt/odoo/odoo11/odoo/sql_db.py", line 154, in wrapper
    raise psycopg2.OperationalError(msg)
psycopg2.OperationalError: Unable to use a closed cursor.
2019-03-14 10:22:07 INFO runbot run Start running build 09167-1271-509ffd
2019-03-14 10:22:10 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 0.51s, 0 queries
2019-03-14 10:22:12 INFO server odoo.modules.loading:234 load_module_graph 173 modules loaded in 1.53s, 0 queries
2019-03-14 11:04:05 INFO runbot _ask_kill Killing build 09167-1271-509ffd, requested by Administrator (user #1)
2019-03-14 11:04:13 INFO runbot kill Kill build 09167-1271-509ffd